## org.eclipse.datatools.connectivity.sqm.loader
Class JDBCSchemaLoader

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
          org.eclipse.datatools.connectivity.sqm.loader.JDBCSchemaLoader

public class JDBCSchemaLoader
extends JDBCBaseLoader

Base loader implementation for loading a database's schema objects. This class may be specialized as necessary to meet a particular vendor's needs.

Field Summary
`static java.lang.String` `COLUMN_TABLE_CATALOG` The column name containing the schema's catalog name.
`static java.lang.String` `COLUMN_TABLE_SCHEM` The column name containing the schema's name.

Constructor Summary
`JDBCSchemaLoader(ICatalogObject catalogObject)` This constructs the loader using a SchemaFilterProvider filter.
`JDBCSchemaLoader(ICatalogObject catalogObject, IConnectionFilterProvider connectionFilterProvider)`

Method Summary
`void` `clearSchemas(java.util.List schemas)` Removes the specified schema from the model.
`java.util.List` `loadSchemas()` Loads the "schema" objects from the database.

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
`getCatalogObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLUMN_TABLE_SCHEM

    public static final java.lang.String COLUMN_TABLE_SCHEM

  The column name containing the schema's name.

  See Also:
    `java.sql.DatabaseMetaData.getSchemas()`, Constant Field Values

### COLUMN_TABLE_CATALOG

    public static final java.lang.String COLUMN_TABLE_CATALOG

  The column name containing the schema's catalog name.

  See Also:
    `java.sql.DatabaseMetaData.getSchemas()`, Constant Field Values

Constructor Detail

### JDBCSchemaLoader

    public JDBCSchemaLoader(ICatalogObject catalogObject)

  This constructs the loader using a SchemaFilterProvider filter.

Parameters:
  `catalogObject` - the Catalog object upon which this loader operates.

### JDBCSchemaLoader

    public JDBCSchemaLoader(ICatalogObject catalogObject,
                            IConnectionFilterProvider connectionFilterProvider)

Parameters:
  `catalogObject` - the Catalog object upon which this loader operates.
  `connectionFilterProvider` - the filter provider used for filtering the "schema" objects being loaded

Method Detail

### loadSchemas

    public java.util.List loadSchemas()
                               throws java.sql.SQLException

  Loads the "schema" objects from the database. This method uses the result set from createResultSet() to load the "schema" objects from the server. Row handling for the result set is delegated to processRow(). Schema objects are created using the factory method, createSchema(). This method should only be overridden as a last resort when the desired behavior cannot be acheived by overriding createResultSet(), closeResultSet(), processRow(), createSchema() and initialize().

  Returns:
    a collection of Schema objects
  Throws:
    `java.sql.SQLException` - if an error occurred during loading.

### clearSchemas

    public void clearSchemas(java.util.List schemas)

  Removes the specified schema from the model.

  Parameters:
    `schemas` - the schemas to be removed from the model.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.